

/* This a free Parametric design for Kite´s Rods 
Designed during the FabAcademy 2017 by Pilu Caballero 
at FabLab CEU - Madrid FabLabNetwork
*/



//Diameter of cap
cap_diam=9;

//String hole diameter, the round part
string_diam=2;

//Width of the vertical slot.
slot_width=1;

//Distance from rod end to bottom of string hole
rod_to_cap=11; 
$fn=40;

//Rod hole depth
rod_depth=8;
//Diameter of rod
rod_diam=7;

module body()
{
union()
{
cylinder(h=rod_depth+rod_to_cap+5, r=cap_diam/2);
translate([0,0,rod_depth+rod_to_cap+5])
{
	sphere(r=cap_diam/2);
}
}
}

module slot()
union()
{
translate([0,0,rod_depth+rod_to_cap+(string_diam/2)])
{
rotate([90,0,0])
{
cylinder(h=cap_diam+1,r=string_diam/2,center=true);
}
}

translate([0,0,rod_depth+rod_to_cap+string_diam/2+(7+cap_diam/2)/2])
{
cube([slot_width,cap_diam+1,7+ cap_diam/2],center=true);
}
}

module rod_hole()
{
cylinder(h=rod_depth,r=rod_diam/2);
}

difference()
{
body();
slot();
rod_hole();
}
